<div class="multifilter-poc">
  <div class="multifilter-poc--header">
    <div class="multifilter-poc--header--content">
      <h1>Sök</h1>
      <digi-form-input-search
        [attr.af-label]="'Sök efter artiklar, personer, dokument, nyheter osv.'"
        [attr.af-variation]="'medium'"
        [attr.af-type]="'search'"
        [attr.af-button-text]="'Sök'"
        (afOnClick)="updateSearchResult($event)"
        (afOnInput)="updateSearchResult($event)"
      ></digi-form-input-search>
      <!-- 
        [attr.af-start-collapsed]="true"
        [attr.af-all-categories]="true"
        [attr.af-all-categories-selected]="true"
      -->
      <digi-form-category-filter
        [afCategories]="displayCategories"
        [attr.af-multiselect]="false"
        [attr.af-visible-collapsed]="5"
        [attr.af-all-categories-text]="allHits"
        (afOnSelectedCategoryChange)="updateSelectedCategories($event)"
      ></digi-form-category-filter>
    </div>
  </div>
  <div class="multifilter-poc--body">
    <div class="multifilter-poc--body--content">
      <div class="multifilter-poc--body--hits">
        <h2>Visar {{ pagiTotalHits }} träffar för:</h2>
        <p>{{formattedSelectedCategories}}</p>
      </div>
      <div class="multifilter-poc--body--sort">
        <digi-navigation-context-menu
          [attr.af-text]="'Sortering'"
          [attr.af-start-selected]="0"
          (afOnSelect)="updateSort($event)"
        >
          <digi-navigation-context-menu-item
            af-text="Relevans"
            af-type="button"
          >
          </digi-navigation-context-menu-item>
          <digi-navigation-context-menu-item
            af-text="Datum"
            af-type="button"
          >
          </digi-navigation-context-menu-item>
        </digi-navigation-context-menu>
      </div>
      <div class="multifilter-poc--body--results">
        <ng-container *ngFor="let result of multifilterResult">
          <div class="multifilter-poc--body--results--result">
            <p>{{ result }}</p>
          </div>
        </ng-container>
      </div>
      <div *ngIf="pagiTotalHits > 0" class="multifilter-poc--body--pagination">
        <digi-navigation-pagination
          [afTotalPages]="pagiTotalPages"
          [afTotalResults]="pagiTotalHits"
          [afInitActivePage]="1"
          [afCurrentResultStart]="pagiCurrentStart"
          [afCurrentResultEnd]="pagiCurrentEnd"
          [afResultName]="'träffar'"
          (afOnPageChange)="updatePagination($event)"
        >
        </digi-navigation-pagination>
      </div>
    </div>
  </div>
</div>
